GDCM: gdcm::FileNameEvent Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | List of all members
gdcm::FileNameEvent Class Reference

FileNameEvent. More...

`#include <gdcmFileNameEvent.h>`

Inheritance diagram for gdcm::FileNameEvent:
[legend]
Collaboration diagram for gdcm::FileNameEvent:
[legend]

## Public Types
typedef FileNameEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions
| FileNameEvent (const char *s="")
| FileNameEvent (const Self &s)
| ~FileNameEvent () override=default
bool | CheckEvent (const ::gdcm::Event *e) const override
const char * | GetEventName () const override
const char * | GetFileName () const
::gdcm::Event * | MakeObject () const override
void | operator= (const Self &)=delete
void | SetFileName (const char *f)
Public Member Functions inherited from gdcm::Event
| Event ()
| Event (const Event &)
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
void | operator= (const Event &)=delete
virtual void | Print (std::ostream &os) const

## Detailed Description

FileNameEvent.

Special type of event triggered during processing of FileSet

See also
  AnyEvent

Examples
  ScanDirectory.cs, and SimpleScanner.cxx.

## Member Typedef Documentation

## ◆ Self

typedef FileNameEvent gdcm::FileNameEvent::Self

## ◆ Superclass

typedef AnyEvent gdcm::FileNameEvent::Superclass

## Constructor & Destructor Documentation

## ◆ FileNameEvent() [1/2]

gdcm::FileNameEvent::FileNameEvent | ( | const char * | s = "" | ) |
| inline

## ◆ ~FileNameEvent()

gdcm::FileNameEvent::~FileNameEvent | ( |  | ) |
| overridedefault

## ◆ FileNameEvent() [2/2]

gdcm::FileNameEvent::FileNameEvent | ( | const Self & | s | ) |
| inline

## Member Function Documentation

## ◆ CheckEvent()

bool gdcm::FileNameEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const
| inlineoverride

## ◆ GetEventName()

const char * gdcm::FileNameEvent::GetEventName | ( |  | ) | const
| inlineoverridevirtual

Return the StringName associated with the event.

Implements gdcm::Event.

## ◆ GetFileName()

const char * gdcm::FileNameEvent::GetFileName | ( |  | ) | const
| inline

Examples
  ScanDirectory.cs, and SimpleScanner.cxx.

## ◆ MakeObject()

::gdcm::Event * gdcm::FileNameEvent::MakeObject | ( |  | ) | const
| inlineoverridevirtual

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

## ◆ operator=()

void gdcm::FileNameEvent::operator= | ( | const Self & |  | ) |
| delete

## ◆ SetFileName()

void gdcm::FileNameEvent::SetFileName | ( | const char * | f | ) |
| inline

The documentation for this class was generated from the following file:

- gdcmFileNameEvent.h